# Movie

Bindings for the Movie class.

## Methods

- disconnect(...)
- getAttribute(...)
- children(...)
- frameNumber(...)
- properties(...)
- deleteLater(...)
- load(...)
- running(...)
- pause(...)
- getElementById(...)
- getValidRect(...)
- steps(...)
- framePixmap(...)
- isNull(...)
- isWidgetType(...)
- parent(...)
- signals(...)
- slots(...)
- child(...)
- superClassName(...)
- className(...)
- unpause(...)
- setAttribute(...)
- paused(...)
- frameImage(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- step(...)
- restart(...)
- load2(...)
- getParentNode(...)
- finished(...)
- step1(...)

## Properties

None

## Qt Properties

- QCString name unnamed
- QColor setBackgroundColor #000000
- int setSpeed 0

## Qt Signals

- destroyed()
- destroyed(QObject*)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- bool load(const QString&)
- bool load(const QString&,int)
- QVariant getValidRect()
- QVariant framePixmap()
- QVariant frameImage()
- bool isNull()
- int frameNumber()
- int steps()
- bool paused()
- bool finished()
- bool running()
- void unpause()
- void pause()
- void step()
- void step(int)
- void restart()